<?php 
    $wp_customize->add_section(
        'features_area',
        array(
            'title' => __( 'Features Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'features_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'features_area_disable',
            array(
                'settings'      => 'features_area_disable',
                'section'       => 'features_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'featuresus', 'features_area', $color='#fff', get_template_directory_uri().'/images/feature.png', 'color');

$wp_customize->add_setting(
    'feature_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.9', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaOpacity',
    array(
        'settings'      => 'feature_areaOpacity',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'features_area_bg', 'features_area', 'BG Color', '#222A35');

lzCustomLable($wp_customize, 'featuresarea_padding', 'features_area', 'Set Section Padding');

$wp_customize->add_setting(
    'features_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_areaTpadding',
    array(
        'settings'      => 'features_areaTpadding',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'features_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_areaBpadding',
    array(
        'settings'      => 'features_areaBpadding',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'features_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'features_title_heading',
        array(
            'settings'      => 'features_title_heading',
            'section'       => 'features_area',
            'label'         => __( 'Section Section Heading, Subheading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'featuressubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'OUR FEATURES', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featuressubtitle',
    array(
        'settings'      => 'featuressubtitle',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'features_area_subheadspn_clr', 'features_area', 'Span Heading Color ', '#fff');
addColorPalatOption($wp_customize, 'features_area_subhead_clr', 'features_area', 'Heading Color ', '#fff');
addColorPalatOption($wp_customize, 'features_area_subheadbg_clr1', 'features_area', 'Heading BG Color 1', '#ff6f00');
addColorPalatOption($wp_customize, 'features_area_subheadbg_clr2', 'features_area', 'Heading BG Color 2', '#313338');
addColorPalatOption($wp_customize, 'features_area_subheadbdr_clr', 'features_area', 'Heading Border Color ', '#ff6f00');

$wp_customize->add_setting(
    'features_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'WELDER PRO PROFESSIONAL WELDING COMPANY IN USA', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_title',
    array(
        'settings'      => 'features_title',
        'section'       => 'features_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'features_area_sectitle_color', 'features_area', 'Sub Heading Color ', '#fff');
addColorPalatOption($wp_customize, 'features_area_sectitlebdr_color', 'features_area', 'Sub Heading Border Color ', '#ff6f00');

$wp_customize->add_setting('featuresus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'featuresus_npp_heading',
        array(
            'settings'      => 'featuresus_npp_heading',
            'section'       => 'features_area',
            'label'         => __( 'Number Of Features Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('featuresus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 4));
$wp_customize->add_control(
    'featuresus_npp_count',
    array(
        'settings'      => 'featuresus_npp_count',
        'section'       => 'features_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Features Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//features PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'featuresus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'featuresus_header'.$i,
            array(
                'settings'      => 'featuresus_header'.$i,
                'section'       => 'features_area',
                'label'         => __( 'features Box ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'featuresus_page_icon'.$i,
        array(
            'default'           => 'fa fa-thumbs-o-up',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'featuresus_page_icon'.$i,
            array(
                'settings'      => 'featuresus_page_icon'.$i,
                'section'       => 'features_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'featuresus_page_title'.$i, 'features_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='We’re Good in All Metal Works');

}

lzCustomLable($wp_customize, 'feasecbtn', 'features_area' , 'Section Color Setting');

addColorPalatOption($wp_customize, 'features_area_pageicon', 'features_area', 'Icon Color', '#FF6F00');
addColorPalatOption($wp_customize, 'features_area_pageiconhvr', 'features_area', 'Icon Hover Color', '#FFA200');
addColorPalatOption($wp_customize, 'features_area_pagetitle', 'features_area', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'features_area_trnglbg1', 'features_area', 'Trangle BG Color 1', '#FFA200');
addColorPalatOption($wp_customize, 'features_area_trnglbg2', 'features_area', 'Trangle BG Color 2', '#FF6F00');

addColorPalatOption($wp_customize, 'features_area_borderbg1', 'features_area', 'Border Color 1', '#FFA200');
addColorPalatOption($wp_customize, 'features_area_borderbg2', 'features_area', 'Border Color 2', '#FF6F00');

lzCustomLable($wp_customize, 'feasecbotm', 'features_area' , 'Section Bottom');

$wp_customize->add_setting(
    'featuresbottomtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'LOOKING FOR A QUALITY AND AFFORDABLE PROJECT?', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featuresbottomtitle',
    array(
        'settings'      => 'featuresbottomtitle',
        'section'       => 'features_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'features_area_btmtxt', 'features_area', 'Title Color', '#fff');
addColorPalatOption($wp_customize, 'features_area_btmbg', 'features_area', 'BG Color', '#262a32');

lzCustomLable($wp_customize, 'featuresus_btn', 'features_area' , 'Section Button');

$wp_customize->add_setting(
    'ftrbtntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Us' )
    )
);
$wp_customize->add_control(
    'ftrbtntxt',
    array(
        'settings'      => 'ftrbtntxt',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Section Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('ftrbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ftrbtnlink',
    array(
        'settings'      => 'ftrbtnlink',
        'section'       => 'features_area',
        'type'          => 'url',
        'label'         => __( 'Add "Button" link here', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'features_area_btntext', 'features_area', 'Button Text Color', '#ffe1cb');

addColorPalatOption($wp_customize, 'features_area_btntexthv', 'features_area', 'Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'features_area_btnbg', 'features_area', 'Button BG Color', '#FF6F00');

addColorPalatOption($wp_customize, 'features_area_btnbghv', 'features_area', 'Button BG Hover Color', '#fff');
addColorPalatOption($wp_customize, 'features_area_btnbdr', 'features_area', 'Button Border Color', '#FF6F00');
